# Uses of Class
com.fasterxml.jackson.core.util.ByteArrayBuilder

Packages that use ByteArrayBuilder
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of ByteArrayBuilder in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core with parameters of type ByteArrayBuilder
Modifier and Type
Method
Description
`void`
Base64Variant.`decode(String str, ByteArrayBuilder builder)`
Convenience method for decoding contents of a Base64-encoded String, using this variant's settings and appending decoded binary data using provided `ByteArrayBuilder`.

## Uses of ByteArrayBuilder in com.fasterxml.jackson.core.base

Fields in com.fasterxml.jackson.core.base declared as ByteArrayBuilder
Modifier and Type
Field
Description
`protected ByteArrayBuilder`
ParserBase.`_byteArrayBuilder`
ByteArrayBuilder is needed if 'getBinaryValue' is called.
Methods in com.fasterxml.jackson.core.base that return ByteArrayBuilder
Modifier and Type
Method
Description
`ByteArrayBuilder`
ParserBase.`_getByteArrayBuilder()`
Methods in com.fasterxml.jackson.core.base with parameters of type ByteArrayBuilder
Modifier and Type
Method
Description
`protected void`
ParserMinimalBase.`_decodeBase64(String str, ByteArrayBuilder builder, Base64Variant b64variant)`
Helper method that can be used for base64 decoding in cases where encoded content has already been read as a String.

## Uses of ByteArrayBuilder in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return ByteArrayBuilder
Modifier and Type
Method
Description
`static ByteArrayBuilder`
ByteArrayBuilder.`fromInitial(byte[] initialBlock, int length)`